@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap');

*{
    margin: 0;
    padding: 0;
}

body{
    box-sizing: border-box;
    background-color: var(--color-background);
}

.cabecalho{
    padding: 2% 0 0 2%;
}

.content{
    display: flex;
    justify-content: space-between;
    align-items: stretch;/* Garante que os elementos filhos tenham a mesma altura */
    gap: 80px;
    width: 100%;
    min-height: 100vh;
}

.content__principal{
    display: flex;
    flex: 1;
    flex-direction: column;
    padding: 5rem 0 0 11rem;
}

.content__principal__inserirTxt{
    width: 600px;
    height: 400px;
    margin-bottom: 1rem;
    color: var(--color-principal);
}

.content__principal__inserirTxt, #inserirTexto{
    font-size: 1.5rem;
    font-family: var(--font-principal);
    font-weight: 400;
    border: none;
    background-color: transparent;
    outline: none;
    resize: none;
}

#inserirTexto{
    color: var(--color-textLateral);
    word-wrap: break-word; 
    max-width: 400px;
    max-height: 420px;
    overflow: auto; /*Mostrar scroll*/
    margin: 32px 32px 0 32px;
    white-space: pre-line; /*interpretar e exibir as quebras de linha corretamente*/
}

.content__principal__inserirTxt::placeholder{
    color: var(--color-principal);
}

/* Estilizando o scroll */
.content__principal__inserirTxt::-webkit-scrollbar, #inserirTexto::-webkit-scrollbar{
    width: 8px;
}

.content__principal__inserirTxt::-webkit-scrollbar-thumb, #inserirTexto::-webkit-scrollbar-thumb{
    background-color: #000000b0; /* Cor do thumb (alça) */
    border-radius: 5px; 
}

.content__principal__atencao img{
    vertical-align: middle;
}

.content__principal__atencao{
    font-family: var(--font-principal);
    font-weight: 400;
    font-size: 0.75rem;
    color: var(--color-atencao);
    margin-bottom: 1rem;
}

.content__principal__btns{
    display: flex;
    gap: 1.5rem;
}

.content__principal__btns__criptografar, .content__principal__btns__descriptgrafar, .content__principal__btns__copiar{
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    width: 300px;
    height: 3.75rem;
    font-family: var(--font-principal);
    font-weight: 400;
    font-size: 1rem;
    border-radius: 1.5rem;
    cursor: pointer;
}

.content__principal__btns__criptografar{
    color: var(--color-white);
    background-color: var(--color-principal);
    border: none;
}


.content__principal__btns__descriptgrafar{
    background-color: #D8DFE8;
    color: var(--color-principal);
    border: 1px solid var(--color-principal);
}



.content__principal__btns__copiar{
    margin: 20px 0 0 100px;
    background-color: transparent;
    color: var(--color-principal);
    border: 1px solid var(--color-principal);
}

.content__lateral{
    display: flex;
    flex-direction: column;
    width: 400px;
    height: 600px;
    margin-right: 1.875rem;
    background-color: var(--color-white);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 2rem;
}

.content__lateral__Imgpesquisa{
    width: 200px;
    margin: 8.25rem 5rem 0 5rem;
}

.content__lateral__txt{
    font-family: var(--font-principal);
    font-weight: 700;
    font-size: 1.3rem;
    padding: 0.75rem 0.125rem 1rem 0.125rem;
    text-align: center;
}

.content__lateral__digitar{
    font-family: var(--font-principal);
    font-weight: 400;
    font-size: 1rem;
    margin: 0 8px 0 8px;
    text-align: center;
}

.rodape{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 60px;
    font-family: var(--font-principal);
    font-size: 1.2rem;
    background-color: var(--color-principal);
    color: var(--color-white);
    margin-top: 20px;
}




